Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 4.0.103
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.je
Class EnvironmentStats

    java.lang.Object
      com.sleepycat.je.EnvironmentStats

All Implemented Interfaces:
  Serializable

    public class EnvironmentStats

extends Object
implements Serializable

Statistics for a single environment.

The statistics are logically grouped into several categories. Viewing the statistics through `toString()` displays the values in these categories, as does viewing the stats through the JEMonitor mbean. Viewing the stats with `toStringVerbose()` will provide more detailed descriptions of the stats and stat categories.

The current categories are:

- IO: Log file opens, reads, writes, cache misses.
- Cache: Data, keys, internal btree nodes, locks and JE metadata reside in the cache. If the cache is too full, nodes, data and keys are periodically evicted to stay within the defined cache size.
- Log Cleaning: Maintenance of JE's append only storage system. See this overview of the logging system. Log files are removed as their contents become obsolete.
- Node Compression: Internal btree nodes are compressed and removed when their contents become sparse.
- Checkpoints: The frequency and extent of checkpointing activity.
- Environment: Miscellaneous environment wide statistics.
- Locks: Number of locking operations, contention on lock table.

See Also:
  Viewing Statistics with JConsole, Serialized Form

Method Summary
`long` | `getAdminBytes()` The number of bytes of JE cache used for log cleaning metadata and other administrative structures.
`long` | `getBufferBytes()` The total memory currently consumed by log buffers, in bytes.
`long` | `getCacheDataBytes()` Deprecated. Please use `getDataBytes()` to get the amount of cache used for data and use `getAdminBytes()`, `getLockBytes()` and `getBufferBytes()` to get other components of the total cache usage (`getCacheTotalBytes()`).
`long` | `getCacheTotalBytes()` The total amount of JE cache in use, in bytes.
`int` | `getCleanerBacklog()` The number of files to be cleaned to reach the target utilization.
`long` | `getCursorsBins()` The number of BINs encountered by the INCompressor that had cursors referring to them when the compressor ran.
`long` | `getDataBytes()` The amount of JE cache used for holding data, keys and internal Btree nodes, in bytes.
`long` | `getDbClosedBins()` The number of BINs encountered by the INCompressor that had their database closed between the time they were put on the compressor queue and when the compressor ran.
`long` | `getEndOfLog()` The location of the next entry to be written to the log.
`int` | `getFileDeletionBacklog()` The number of log files that are ready to be deleted.
`long` | `getInCompQueueSize()` The number of entries in the INCompressor queue when the getStats() call was made.
`long` | `getLastCheckpointEnd()` The location in the log of the last checkpoint end.
`long` | `getLastCheckpointId()` The Id of the last checkpoint.
`long` | `getLastCheckpointStart()` The location in the log of the last checkpoint start.
`long` | `getLockBytes()` The number of bytes of JE cache used for holding locks and transactions.
`int` | `getNAcquiresNoWaiters()` Number of acquires of lock table latch with no contention.
`int` | `getNAcquiresNoWaitSuccessful()` Number of times acquireNoWait() was successfully called for the lock table latch.
`int` | `getNAcquiresNoWaitUnSuccessful()` Number of times acquireNoWait() was unsuccessfully called for the lock table latch.
`int` | `getNAcquiresSelfOwned()` Number of acquires of lock table latch when it was already owned by the caller.
`int` | `getNAcquiresWithContention()` Number of acquires of lock table latch when it was already owned by another thread.
`long` | `getNBINsEvictedCACHEMODE()` Number of BINs evicted from the cache in due to an explicitly set `CacheMode`.
`long` | `getNBINsEvictedCRITICAL()` Number of BINs evicted from the cache in the course of executing operations that will cause the cache to go over budget.
`long` | `getNBINsEvictedEVICTORTHREAD()` Number of BINs evicted from the cache by the background evictor thread.
`long` | `getNBINsEvictedMANUAL()` Number of BINs evicted from the cache by calls to `Environment.evictMemory()` thread.
`long` | `getNBINsFetch()` Number of BINs (bottom internal nodes) requested by btree operations.
`long` | `getNBINsFetchMiss()` Number of BINs (bottom internal nodes) requested by btree operations that were not in cache.
`long` | `getNBINsStripped()` The number of BINs for which the child LNs have been removed (stripped) and are no longer in the cache.
`long` | `getNBytesReadFromWriteQueue()` The number of bytes read to fulfill file read operations by reading out of the pending write queue.
`long` | `getNBytesWrittenFromWriteQueue()` The number of bytes written from the pending write queue.
`long` | `getNCachedBINs()` Number of BINs (bottom internal nodes) in cache.
`long` | `getNCachedUpperINs()` Number of INs (internal nodes) in cache.
`long` | `getNCacheMiss()` The total number of requests for database objects which were not in memory.
`long` | `getNCheckpoints()` The total number of checkpoints run so far.
`long` | `getNCleanerDeletions()` The number of cleaner file deletions this session.
`long` | `getNCleanerEntriesRead()` The accumulated number of log entries read by the cleaner.
`long` | `getNCleanerRuns()` The number of cleaner runs this session.
`long` | `getNClusterLNsProcessed()` The accumulated number of LNs processed because they qualify for clustering.
`long` | `getNDeltaINFlush()` The accumulated number of Delta INs flushed to the log.
`long` | `getNEvictPasses()` Number of eviction passes, an indicator of the eviction activity level.
`int` | `getNFileOpens()` The number of times a log file has been opened.
`long` | `getNFSyncRequests()` The number of fsyncs requested through the group commit manager.
`long` | `getNFSyncs()` The number of fsyncs issued through the group commit manager.
`long` | `getNFSyncTimeouts()` The number of fsync requests submitted to the group commit manager which timed out.
`long` | `getNFullBINFlush()` The accumulated number of full BINs flushed to the log.
`long` | `getNFullINFlush()` The accumulated number of full INs flushed to the log.
`long` | `getNINsCleaned()` The accumulated number of INs cleaned.
`long` | `getNINsDead()` The accumulated number of INs that were not found in the tree anymore (deleted).
`long` | `getNINsMigrated()` The accumulated number of INs migrated.
`long` | `getNINsObsolete()` The accumulated number of INs obsolete.
`long` | `getNLNQueueHits()` The accumulated number of LNs processed without a tree lookup.
`long` | `getNLNsCleaned()` The accumulated number of LNs cleaned.
`long` | `getNLNsDead()` The accumulated number of LNs that were not found in the tree anymore (deleted).
`long` | `getNLNsFetch()` Number of LNs (data records) requested by btree operations.
`long` | `getNLNsFetchMiss()` Number of LNs (data records) requested by btree operations that were not in cache.
`long` | `getNLNsLocked()` The accumulated number of LNs encountered that were locked.
`long` | `getNLNsMarked()` The accumulated number of LNs that were marked for migration during cleaning.
`long` | `getNLNsMigrated()` The accumulated number of LNs encountered that were migrated forward in the log.
`long` | `getNLNsObsolete()` The accumulated number of LNs obsolete.
`int` | `getNLogBuffers()` The number of log buffers currently instantiated.
`long` | `getNLogFSyncs()` The total number of fsyncs of the JE log.
`long` | `getNMarkedLNsProcessed()` The accumulated number of LNs processed because they were previously marked for migration.
`long` | `getNNodesExplicitlyEvicted()` Number of nodes selected and removed from the cache.
`long` | `getNNodesScanned()` Number of nodes scanned in order to select the eviction set, an indicator of eviction overhead.
`long` | `getNNodesSelected()` Number of nodes which pass the first criteria for eviction, an indicator of eviction efficiency.
`long` | `getNNotResident()` The number of requests for database objects not contained within the in memory data structures.
`long` | `getNonEmptyBins()` The number of BINs encountered by the INCompressor that were not actually empty when the compressor ran.
`int` | `getNOpenFiles()` The number of files currently open in the file cache.
`int` | `getNOwners()` Total lock owners in lock table.
`long` | `getNPendingLNsLocked()` The accumulated number of pending LNs that could not be locked for migration because of a long duration application lock.
`long` | `getNPendingLNsProcessed()` The accumulated number of LNs processed because they were previously locked.
`long` | `getNRandomReadBytes()` The number of bytes read which required repositioning the disk head more than 1MB from the previous file position.
`long` | `getNRandomReads()` The number of disk reads which required repositioning the disk head more than 1MB from the previous file position.
`long` | `getNRandomWriteBytes()` The number of bytes written which required repositioning the disk head more than 1MB from the previous file position.
`long` | `getNRandomWrites()` The number of disk writes which required repositioning the disk head by more than 1MB from the previous file position.
`int` | `getNReadLocks()` Total read locks currently held.
`long` | `getNReadsFromWriteQueue()` The number of file read operations which were fulfilled by reading out of the pending write queue.
`int` | `getNReleases()` Number of releases of the lock table latch.
`long` | `getNRepeatFaultReads()` The number of reads which had to be repeated when faulting in an object from disk because the read chunk size controlled by je.log.faultReadSize is too small.
`long` | `getNRepeatIteratorReads()` The number of times we tried to read a log entry larger than the read buffer size and couldn't grow the log buffer to accommodate the large object.
`long` | `getNRequests()` Total number of lock requests to date.
`long` | `getNRootNodesEvicted()` The accumulated number of database root nodes evicted.
`long` | `getNSequentialReadBytes()` The number of bytes read which did not require repositioning the disk head more than 1MB from the previous file position.
`long` | `getNSequentialReads()` The number of disk reads which did not require repositioning the disk head more than 1MB from the previous file position.
`long` | `getNSequentialWriteBytes()` The number of bytes written which did not require repositioning the disk head more than 1MB from the previous file position.
`long` | `getNSequentialWrites()` The number of disk writes which did not require repositioning the disk head by more than 1MB from the previous file position.
`int` | `getNSharedCacheEnvironments()` The number of environments using the shared cache.
`long` | `getNTempBufferWrites()` The number of writes which had to be completed using the temporary marshalling buffer because the fixed size log buffers specified by je.log.totalBufferBytes and je.log.numBuffers were not large enough.
`long` | `getNToBeCleanedLNsProcessed()` The accumulated number of LNs processed because they are soon to be cleaned.
`int` | `getNTotalLocks()` Total locks currently in lock table.
`long` | `getNUpperINsEvictedCACHEMODE()` Number of upper INs evicted from the cache in due to an explicitly set `CacheMode`.
`long` | `getNUpperINsEvictedCRITICAL()` Number of upper INs evicted from the cache in the course of executing operations that will cause the cache to go over budget.
`long` | `getNUpperINsEvictedEVICTORTHREAD()` Number of upper INs evicted from the cache by the background evictor thread.
`long` | `getNUpperINsEvictedMANUAL()` Number of upper INs evicted from the cache by calls to `Environment.evictMemory()` thread.
`long` | `getNUpperINsFetch()` Number of upper INs (non bottom internal nodes) requested by btree operations.
`long` | `getNUpperINsFetchMiss()` Number of upper INs (non-bottom internal nodes) requested by btree operations that were not in cache.
`int` | `getNWaiters()` Total transactions waiting for locks.
`long` | `getNWaits()` Total number of lock waits to date.
`int` | `getNWriteLocks()` Total write locks currently held.
`long` | `getNWriteQueueOverflow()` The number of writes operations which would overflow the Write Queue.
`long` | `getNWriteQueueOverflowFailures()` The number of writes operations which would overflow the Write Queue and could not be queued.
`long` | `getNWritesFromWriteQueue()` The number of file writes operations executed from the pending write queue.
`long` | `getProcessedBins()` The number of BINs that were successfully processed by the IN Compressor.
`long` | `getRelatchesRequired()` Returns the number of latch upgrades (relatches) required while operating on this Environment.
`long` | `getRequiredEvictBytes()` The number of bytes that must be evicted in order to get within the memory budget.
`long` | `getSharedCacheTotalBytes()` The total amount of the shared JE cache in use, in bytes.
`long` | `getSplitBins()` The number of BINs encountered by the INCompressor that were split between the time they were put on the compressor queue and when the compressor ran.
`long` | `getTotalLogSize()` An approximation of the current total log size in bytes.
`String` | `toString()` Returns a String representation of the stats in the form of <stat>=<value>
`String` | `toStringVerbose()` Returns a String representation of the stats which includes stats descriptions in addition to <stat>=<value>

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getCursorsBins

    public long getCursorsBins()

  The number of BINs encountered by the INCompressor that had cursors referring to them when the compressor ran.

### getDbClosedBins

    public long getDbClosedBins()

  The number of BINs encountered by the INCompressor that had their database closed between the time they were put on the compressor queue and when the compressor ran.

### getInCompQueueSize

    public long getInCompQueueSize()

  The number of entries in the INCompressor queue when the getStats() call was made.

### getNonEmptyBins

    public long getNonEmptyBins()

  The number of BINs encountered by the INCompressor that were not actually empty when the compressor ran.

### getProcessedBins

    public long getProcessedBins()

  The number of BINs that were successfully processed by the IN Compressor.

### getSplitBins

    public long getSplitBins()

  The number of BINs encountered by the INCompressor that were split between the time they were put on the compressor queue and when the compressor ran.

### getLastCheckpointId

    public long getLastCheckpointId()

  The Id of the last checkpoint.

### getNCheckpoints

    public long getNCheckpoints()

  The total number of checkpoints run so far.

### getNFullINFlush

    public long getNFullINFlush()

  The accumulated number of full INs flushed to the log.

### getNFullBINFlush

    public long getNFullBINFlush()

  The accumulated number of full BINs flushed to the log.

### getNDeltaINFlush

    public long getNDeltaINFlush()

  The accumulated number of Delta INs flushed to the log.

### getLastCheckpointStart

    public long getLastCheckpointStart()

  The location in the log of the last checkpoint start.

### getLastCheckpointEnd

    public long getLastCheckpointEnd()

  The location in the log of the last checkpoint end.

### getCleanerBacklog

    public int getCleanerBacklog()

  The number of files to be cleaned to reach the target utilization.

### getFileDeletionBacklog

    public int getFileDeletionBacklog()

  The number of log files that are ready to be deleted. A file that is ready to be deleted may not yet have been deleted for any of the following reasons:
  - A checkpoint has not yet completed. Files are deleted only at the end of each checkpoint.
  - A read-only process is running, which prevents file deletion.
  - A file is protected from deletion by an in-progress `DbBackup`.
  - A file is protected from deletion because it is needed for replication (High Availability applications only).

### getNCleanerRuns

    public long getNCleanerRuns()

  The number of cleaner runs this session.

### getNCleanerDeletions

    public long getNCleanerDeletions()

  The number of cleaner file deletions this session.

### getNCleanerEntriesRead

    public long getNCleanerEntriesRead()

  The accumulated number of log entries read by the cleaner.

### getNINsObsolete

    public long getNINsObsolete()

  The accumulated number of INs obsolete.

### getNINsCleaned

    public long getNINsCleaned()

  The accumulated number of INs cleaned.

### getNINsDead

    public long getNINsDead()

  The accumulated number of INs that were not found in the tree anymore (deleted).

### getNINsMigrated

    public long getNINsMigrated()

  The accumulated number of INs migrated.

### getNLNsObsolete

    public long getNLNsObsolete()

  The accumulated number of LNs obsolete.

### getNLNsCleaned

    public long getNLNsCleaned()

  The accumulated number of LNs cleaned.

### getNLNsDead

    public long getNLNsDead()

  The accumulated number of LNs that were not found in the tree anymore (deleted).

### getNLNsLocked

    public long getNLNsLocked()

  The accumulated number of LNs encountered that were locked.

### getNLNsMigrated

    public long getNLNsMigrated()

  The accumulated number of LNs encountered that were migrated forward in the log.

### getNLNsMarked

    public long getNLNsMarked()

  The accumulated number of LNs that were marked for migration during cleaning.

### getNLNQueueHits

    public long getNLNQueueHits()

  The accumulated number of LNs processed without a tree lookup.

### getNPendingLNsProcessed

    public long getNPendingLNsProcessed()

  The accumulated number of LNs processed because they were previously locked.

### getNMarkedLNsProcessed

    public long getNMarkedLNsProcessed()

  The accumulated number of LNs processed because they were previously marked for migration.

### getNToBeCleanedLNsProcessed

    public long getNToBeCleanedLNsProcessed()

  The accumulated number of LNs processed because they are soon to be cleaned.

### getNClusterLNsProcessed

    public long getNClusterLNsProcessed()

  The accumulated number of LNs processed because they qualify for clustering.

### getNPendingLNsLocked

    public long getNPendingLNsLocked()

  The accumulated number of pending LNs that could not be locked for migration because of a long duration application lock.

### getNRepeatIteratorReads

    public long getNRepeatIteratorReads()

  The number of times we tried to read a log entry larger than the read buffer size and couldn't grow the log buffer to accommodate the large object. This happens during scans of the log during activities like environment open or log cleaning. Implies that the read chunk size controlled by je.log.iteratorReadSize is too small.

### getTotalLogSize

    public long getTotalLogSize()

  An approximation of the current total log size in bytes.

### getNCacheMiss

    public long getNCacheMiss()

  The total number of requests for database objects which were not in memory.

### getEndOfLog

    public long getEndOfLog()

  The location of the next entry to be written to the log.

  Note that the log entries prior to this position may not yet have been flushed to disk. Flushing can be forced using a Sync or WriteNoSync commit, or a checkpoint.

### getNFSyncs

    public long getNFSyncs()

  The number of fsyncs issued through the group commit manager. A subset of nLogFsyncs.

### getNFSyncRequests

    public long getNFSyncRequests()

  The number of fsyncs requested through the group commit manager.

### getNFSyncTimeouts

    public long getNFSyncTimeouts()

  The number of fsync requests submitted to the group commit manager which timed out.

### getNLogFSyncs

    public long getNLogFSyncs()

  The total number of fsyncs of the JE log. This includes those fsyncs issued on behalf of transaction commits.

### getNLogBuffers

    public int getNLogBuffers()

  The number of log buffers currently instantiated.

### getNRandomReads

    public long getNRandomReads()

  The number of disk reads which required repositioning the disk head more than 1MB from the previous file position. Reads in a different *.jdb log file then the last IO constitute a random read.

  This number is approximate and may differ from the actual number of random disk reads depending on the type of disks and file system, disk geometry, and file system cache size.

### getNRandomReadBytes

    public long getNRandomReadBytes()

  The number of bytes read which required repositioning the disk head more than 1MB from the previous file position. Reads in a different *.jdb log file then the last IO constitute a random read.

  This number is approximate vary depending on the type of disks and file system, disk geometry, and file system cache size.

### getNRandomWrites

    public long getNRandomWrites()

  The number of disk writes which required repositioning the disk head by more than 1MB from the previous file position. Writes to a different *.jdb log file (i.e. a file "flip") then the last IO constitute a random write.

  This number is approximate and may differ from the actual number of random disk writes depending on the type of disks and file system, disk geometry, and file system cache size.

### getNRandomWriteBytes

    public long getNRandomWriteBytes()

  The number of bytes written which required repositioning the disk head more than 1MB from the previous file position. Writes in a different *.jdb log file then the last IO constitute a random write.

  This number is approximate vary depending on the type of disks and file system, disk geometry, and file system cache size.

### getNSequentialReads

    public long getNSequentialReads()

  The number of disk reads which did not require repositioning the disk head more than 1MB from the previous file position. Reads in a different *.jdb log file then the last IO constitute a random read.

  This number is approximate and may differ from the actual number of sequential disk reads depending on the type of disks and file system, disk geometry, and file system cache size.

### getNSequentialReadBytes

    public long getNSequentialReadBytes()

  The number of bytes read which did not require repositioning the disk head more than 1MB from the previous file position. Reads in a different *.jdb log file then the last IO constitute a random read.

  This number is approximate vary depending on the type of disks and file system, disk geometry, and file system cache size.

### getNSequentialWrites

    public long getNSequentialWrites()

  The number of disk writes which did not require repositioning the disk head by more than 1MB from the previous file position. Writes to a different *.jdb log file (i.e. a file "flip") then the last IO constitute a random write.

  This number is approximate and may differ from the actual number of sequential disk writes depending on the type of disks and file system, disk geometry, and file system cache size.

### getNSequentialWriteBytes

    public long getNSequentialWriteBytes()

  The number of bytes written which did not require repositioning the disk head more than 1MB from the previous file position. Writes in a different *.jdb log file then the last IO constitute a random write.

  This number is approximate vary depending on the type of disks and file system, disk geometry, and file system cache size.

### getNBytesReadFromWriteQueue

    public long getNBytesReadFromWriteQueue()

  The number of bytes read to fulfill file read operations by reading out of the pending write queue.

### getNBytesWrittenFromWriteQueue

    public long getNBytesWrittenFromWriteQueue()

  The number of bytes written from the pending write queue.

### getNReadsFromWriteQueue

    public long getNReadsFromWriteQueue()

  The number of file read operations which were fulfilled by reading out of the pending write queue.

### getNWritesFromWriteQueue

    public long getNWritesFromWriteQueue()

  The number of file writes operations executed from the pending write queue.

### getNWriteQueueOverflow

    public long getNWriteQueueOverflow()

  The number of writes operations which would overflow the Write Queue.

### getNWriteQueueOverflowFailures

    public long getNWriteQueueOverflowFailures()

  The number of writes operations which would overflow the Write Queue and could not be queued.

### getBufferBytes

    public long getBufferBytes()

  The total memory currently consumed by log buffers, in bytes. If this environment uses the shared cache, this method returns only the amount used by this environment.

### getNNotResident

    public long getNNotResident()

  The number of requests for database objects not contained within the in memory data structures.

### getNRepeatFaultReads

    public long getNRepeatFaultReads()

  The number of reads which had to be repeated when faulting in an object from disk because the read chunk size controlled by je.log.faultReadSize is too small.

### getNTempBufferWrites

    public long getNTempBufferWrites()

  The number of writes which had to be completed using the temporary marshalling buffer because the fixed size log buffers specified by je.log.totalBufferBytes and je.log.numBuffers were not large enough.

### getNFileOpens

    public int getNFileOpens()

  The number of times a log file has been opened.

### getNOpenFiles

    public int getNOpenFiles()

  The number of files currently open in the file cache.

### getNEvictPasses

    public long getNEvictPasses()

  Number of eviction passes, an indicator of the eviction activity level.

### getNNodesExplicitlyEvicted

    public long getNNodesExplicitlyEvicted()

  Number of nodes selected and removed from the cache.

### getNRootNodesEvicted

    public long getNRootNodesEvicted()

  The accumulated number of database root nodes evicted.

### getNBINsStripped

    public long getNBINsStripped()

  The number of BINs for which the child LNs have been removed (stripped) and are no longer in the cache. BIN stripping is the most efficient form of eviction.

### getRequiredEvictBytes

    public long getRequiredEvictBytes()

  The number of bytes that must be evicted in order to get within the memory budget.

### getNNodesScanned

    public long getNNodesScanned()

  Number of nodes scanned in order to select the eviction set, an indicator of eviction overhead.

### getNNodesSelected

    public long getNNodesSelected()

  Number of nodes which pass the first criteria for eviction, an indicator of eviction efficiency. nNodesExplicitlyEvicted plus nBINsStripped will roughly equal nNodesSelected. nNodesSelected will be somewhat larger than the sum because some selected nodes don't pass a final screening.

### getNSharedCacheEnvironments

    public int getNSharedCacheEnvironments()

  The number of environments using the shared cache. This method says nothing about whether this environment is using the shared cache or not.

### getNLNsFetch

    public long getNLNsFetch()

  Number of LNs (data records) requested by btree operations. Can be used to gauge cache hit/miss ratios.

### getNUpperINsFetch

    public long getNUpperINsFetch()

  Number of upper INs (non bottom internal nodes) requested by btree operations. Can be used to gauge cache hit/miss ratios.

### getNBINsFetch

    public long getNBINsFetch()

  Number of BINs (bottom internal nodes) requested by btree operations. Can be used to gauge cache hit/miss ratios.

### getNLNsFetchMiss

    public long getNLNsFetchMiss()

  Number of LNs (data records) requested by btree operations that were not in cache. Can be used to gauge cache hit/miss ratios.

### getNUpperINsFetchMiss

    public long getNUpperINsFetchMiss()

  Number of upper INs (non-bottom internal nodes) requested by btree operations that were not in cache. Can be used to gauge cache hit/miss ratios.

### getNBINsFetchMiss

    public long getNBINsFetchMiss()

  Number of BINs (bottom internal nodes) requested by btree operations that were not in cache. Can be used to gauge cache hit/miss ratios.

### getNCachedUpperINs

    public long getNCachedUpperINs()

  Number of INs (internal nodes) in cache. The cache holds INs and BINS, so this indicates the proportion used by each type of node. When used on shared environment caches, will only be visible via StatConfig.setFast(false).

### getNCachedBINs

    public long getNCachedBINs()

  Number of BINs (bottom internal nodes) in cache. The cache holds INs and BINS, so this indicates the proportion used by each type of node. When used on shared environment caches, will only be visible via StatConfig.setFast(false).

### getNBINsEvictedEVICTORTHREAD

    public long getNBINsEvictedEVICTORTHREAD()

  Number of BINs evicted from the cache by the background evictor thread. As a subset of nNodesExplicitlyEvicted, it is an indicator of what eviction is targeting and the activity that is instigating eviction.

### getNBINsEvictedMANUAL

    public long getNBINsEvictedMANUAL()

  Number of BINs evicted from the cache by calls to `Environment.evictMemory()` thread. As a subset of nNodesExplicitlyEvicted, it is an indicator of what eviction is targeting and the activity that is instigating eviction.

### getNBINsEvictedCRITICAL

    public long getNBINsEvictedCRITICAL()

  Number of BINs evicted from the cache in the course of executing operations that will cause the cache to go over budget. As a subset of nNodesExplicitlyEvicted, it is an indicator of what eviction is targeting and the activity that is instigating eviction.

### getNBINsEvictedCACHEMODE

    public long getNBINsEvictedCACHEMODE()

  Number of BINs evicted from the cache in due to an explicitly set `CacheMode`. As a subset of nNodesExplicitlyEvicted, it is an indicator of what eviction is targeting and the activity that is instigating eviction.

### getNUpperINsEvictedEVICTORTHREAD

    public long getNUpperINsEvictedEVICTORTHREAD()

  Number of upper INs evicted from the cache by the background evictor thread. As a subset of nNodesExplicitlyEvicted, it is an indicator of what eviction is targeting and the activity that is instigating eviction.

### getNUpperINsEvictedMANUAL

    public long getNUpperINsEvictedMANUAL()

  Number of upper INs evicted from the cache by calls to `Environment.evictMemory()` thread. As a subset of nNodesExplicitlyEvicted, it is an indicator of what eviction is targeting and the activity that is instigating eviction.

### getNUpperINsEvictedCRITICAL

    public long getNUpperINsEvictedCRITICAL()

  Number of upper INs evicted from the cache in the course of executing operations that will cause the cache to go over budget. As a subset of nNodesExplicitlyEvicted, it is an indicator of what eviction is targeting and the activity that is instigating eviction.

### getNUpperINsEvictedCACHEMODE

    public long getNUpperINsEvictedCACHEMODE()

  Number of upper INs evicted from the cache in due to an explicitly set `CacheMode`. As a subset of nNodesExplicitlyEvicted, it is an indicator of what eviction is targeting and the activity that is instigating eviction.

### getSharedCacheTotalBytes

    public long getSharedCacheTotalBytes()

  The total amount of the shared JE cache in use, in bytes. If this environment uses the shared cache, this method returns the total amount used by all environments that are sharing the cache. If this environment does not use the shared cache, this method returns zero.

  To get the configured maximum cache size, see `EnvironmentMutableConfig.getCacheSize()`.

### getCacheTotalBytes

    public long getCacheTotalBytes()

  The total amount of JE cache in use, in bytes. If this environment uses the shared cache, this method returns only the amount used by this environment.

  This method returns the sum of `getDataBytes()`, `getAdminBytes()`, `getLockBytes()` and `getBufferBytes()`.

  To get the configured maximum cache size, see `EnvironmentMutableConfig.getCacheSize()`.

### getDataBytes

    public long getDataBytes()

  The amount of JE cache used for holding data, keys and internal Btree nodes, in bytes. If this environment uses the shared cache, this method returns only the amount used by this environment.

### getAdminBytes

    public long getAdminBytes()

  The number of bytes of JE cache used for log cleaning metadata and other administrative structures. If this environment uses the shared cache, this method returns only the amount used by this environment.

### getLockBytes

    public long getLockBytes()

  The number of bytes of JE cache used for holding locks and transactions. If this environment uses the shared cache, this method returns only the amount used by this environment.

### getCacheDataBytes

    public long getCacheDataBytes()

  Deprecated. Please use `getDataBytes()` to get the amount of cache used for data and use `getAdminBytes()`, `getLockBytes()` and `getBufferBytes()` to get other components of the total cache usage (`getCacheTotalBytes()`).

  The amount of JE cache used for all items except for the log buffers, in bytes. If this environment uses the shared cache, this method returns only the amount used by this environment.

### getRelatchesRequired

    public long getRelatchesRequired()

  Returns the number of latch upgrades (relatches) required while operating on this Environment. Latch upgrades are required when an operation assumes that a shared (read) latch will be sufficient but later determines that an exclusive (write) latch will actually be required.

  Returns:
    number of latch upgrades (relatches) required.

### getNOwners

    public int getNOwners()

  Total lock owners in lock table. Only provided when `Environment.getStats` is called in "slow" mode.

### getNReadLocks

    public int getNReadLocks()

  Total read locks currently held. Only provided when `Environment.getStats` is called in "slow" mode.

### getNTotalLocks

    public int getNTotalLocks()

  Total locks currently in lock table. Only provided when `Environment.getStats` is called in "slow" mode.

### getNWaiters

    public int getNWaiters()

  Total transactions waiting for locks. Only provided when `Environment.getStats` is called in "slow" mode.

### getNWriteLocks

    public int getNWriteLocks()

  Total write locks currently held. Only provided when `Environment.getStats` is called in "slow" mode.

### getNRequests

    public long getNRequests()

  Total number of lock requests to date.

### getNWaits

    public long getNWaits()

  Total number of lock waits to date.

### getNAcquiresNoWaiters

    public int getNAcquiresNoWaiters()

  Number of acquires of lock table latch with no contention.

### getNAcquiresSelfOwned

    public int getNAcquiresSelfOwned()

  Number of acquires of lock table latch when it was already owned by the caller.

### getNAcquiresWithContention

    public int getNAcquiresWithContention()

  Number of acquires of lock table latch when it was already owned by another thread.

### getNAcquiresNoWaitSuccessful

    public int getNAcquiresNoWaitSuccessful()

  Number of times acquireNoWait() was successfully called for the lock table latch.

### getNAcquiresNoWaitUnSuccessful

    public int getNAcquiresNoWaitUnSuccessful()

  Number of times acquireNoWait() was unsuccessfully called for the lock table latch.

### getNReleases

    public int getNReleases()

  Number of releases of the lock table latch.

### toString

    public String toString()

  Returns a String representation of the stats in the form of <stat>=<value>

  Overrides:
    `toString` in class `Object`

### toStringVerbose

    public String toStringVerbose()

  Returns a String representation of the stats which includes stats descriptions in addition to <stat>=<value>

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 4.0.103
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Oracle. All rights reserved.